#ifndef __screen_move
#define __screen_move

#include "include/screenids.h"
#include "../screen.h"
#include "../Control.h"


/*
 * Move screen
 *   Shows the current and target height
 */
class MoveScreen : public BaseScreen
{
  public:
    MoveScreen(ScreenManager* screenManager, Adafruit_GFX* display) : BaseScreen(screenManager, display) { }

    void onShow();
    void onButton(Button button);
    void onTick();

    ScreenId screenId() { return ScreenId::Move; };

  private:
    uint32_t lastRefresh;
    uint8_t currentHeightY;
    uint16_t lastTextWidth = 0;
    bool lastIsStabilizing = true;

    void drawCurrentHeight();
};

#endif
